/[gentoo-x86]/app-crypt/gnupg/ChangeLog
Gentoo

Diff of /app-crypt/gnupg/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.390 Revision 1.418
1# ChangeLog for app-crypt/gnupg 1# ChangeLog for app-crypt/gnupg
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/ChangeLog,v 1.390 2010/09/11 15:18:01 armin76 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/ChangeLog,v 1.418 2011/08/19 19:31:56 hwoarang Exp $
4
5 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> gnupg-2.0.18.ebuild:
6 Simplify dependencies. Patch by Arfrever.
7
8*gnupg-2.0.18 (04 Aug 2011)
9
10 04 Aug 2011; Robin H. Johnson <robbat2@gentoo.org> +gnupg-2.0.18.ebuild:
11 Version bump.
12
13*gnupg-2.0.17-r3 (03 Jul 2011)
14
15 03 Jul 2011; Robin H. Johnson <robbat2@gentoo.org> +gnupg-2.0.17-r3.ebuild,
16 +files/gnupg-2.0.17-libgrcrypt150-bugfix.patch:
17 Bug #373959: critical patch to enable signing w/ libgcrypt-1.5.0.
18
19*gnupg-2.0.17-r2 (09 Jun 2011)
20
21 09 Jun 2011; Dane Smith <c1pher@gentoo.org> -gnupg-2.0.17-r1.ebuild,
22 +gnupg-2.0.17-r2.ebuild:
23 Revision bump. Remove caps USE flag since capabilities are no longer
24 used anywhere wrt bug 360421.
25 Remove no longer needed || die.
26 Drop old revision. No keyword changes necessary.
27
28 14 May 2011; Raúl Porcel <armin76@gentoo.org> gnupg-2.0.17.ebuild:
29 ia64/s390/sh/sparc stable wrt #355265
30
31 09 May 2011; Markus Meier <maekke@gentoo.org> gnupg-2.0.17.ebuild:
32 arm stable, bug #355265
33
34*gnupg-2.0.17-r1 (16 Apr 2011)
35
36 16 Apr 2011; Diego E. Pettenò <flameeyes@gentoo.org>
37 +gnupg-2.0.17-r1.ebuild, +files/gnupg-2.0.17-gpgsm-gencert.patch,
38 metadata.xml:
39 Revision bump: patch gpgsm-gencert.sh to actually work; remove openct and
40 pcsc-lite USE flags: smartcard USE flag now enables scdaemon, and usb enables
41 the internal CCID driver; don't depend on a particular implementation since
42 there are multiple options; use EAPI=4 and REQUIRED_USE to block static
43 support with smartcard.
44
45 23 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> gnupg-2.0.17.ebuild:
46 ppc/ppc64 stable wrt #355265
47
48 18 Mar 2011; Dane Smith <c1pher@gentoo.org> gnupg-2.0.17.ebuild:
49 Remove the use of ecompressdir wrt bug 356501. Other small QA fixes. No
50 revbump as installed files don't change (Save for the removal of a couple
51 examples files that were once doc.)
52
53 12 Mar 2011; Tobias Klausmann <klausman@gentoo.org> gnupg-2.0.17.ebuild:
54 Stable on alpha, bug #355265
55
56 11 Mar 2011; Thomas Kahle <tomka@gentoo.org> gnupg-2.0.17.ebuild:
57 x86 stable per bug 355265
58
59 08 Mar 2011; Jeroen Roovers <jer@gentoo.org> gnupg-2.0.17.ebuild:
60 Stable for HPPA (bug #355265).
61
62 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> gnupg-2.0.17.ebuild:
63 Stable on amd64 wrt bug #355265
64
65 16 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
66 gnupg-2.0.17.ebuild:
67 Fix dependencies.
68
69 16 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
70 gnupg-2.0.17.ebuild:
71 Fix installation (bug #351831).
72
73*gnupg-2.0.17 (14 Jan 2011)
74
75 14 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
76 -gnupg-1.4.10.ebuild, -gnupg-1.4.10-r1.ebuild,
77 -files/gnupg-2.0.12-adns.patch, -gnupg-2.0.16.ebuild, +gnupg-2.0.17.ebuild:
78 Version bump.
79
80 06 Jan 2011; Raúl Porcel <armin76@gentoo.org> gnupg-1.4.11.ebuild:
81 alpha/ia64/s390/sh/sparc stable wrt #348093
82
83 28 Dec 2010; Brent Baude <ranger@gentoo.org> gnupg-1.4.11.ebuild:
84 stable ppc64, bug 348093
85
86 15 Dec 2010; Markus Meier <maekke@gentoo.org> gnupg-1.4.11.ebuild:
87 arm stable, bug #348093
88
89 10 Dec 2010; Markos Chandras <hwoarang@gentoo.org> gnupg-1.4.11.ebuild:
90 Stable on amd64 wrt bug #348093
91
92 10 Dec 2010; Jeroen Roovers <jer@gentoo.org> gnupg-1.4.11.ebuild:
93 Stable for HPPA (bug #348093).
94
95 10 Dec 2010; Jeroen Roovers <jer@gentoo.org> gnupg-1.4.11.ebuild:
96 Stable for PPC (bug #348093).
97
98 09 Dec 2010; Dane Smith <c1pher@gentoo.org> gnupg-1.4.11.ebuild:
99 Stable x86 wrt bug 348093.
100
101 09 Dec 2010; Dane Smith <c1pher@gentoo.org> gnupg-1.4.11.ebuild:
102 *Removed $(use_enable) static. No longer used upstream wrt bug 348200.
103 *Changed --disable-capabilities to --without-capabilities wrt bug 348200.
104 *Added some missing || die.
105 Not revbumping. --with-capabilites defaults to without so all current
106 installs
107 will be without. $(use_enable static) is gone completely so it also
108 won't change any current install.
109
110 19 Oct 2010; Robin H. Johnson <robbat2@gentoo.org> -gnupg-2.0.11.ebuild,
111 -gnupg-2.0.12.ebuild, -gnupg-2.0.13.ebuild, -gnupg-2.0.14.ebuild,
112 -gnupg-2.0.15.ebuild:
113 Trim redundant versions.
114
115*gnupg-2.0.16-r2 (19 Oct 2010)
116
117 19 Oct 2010; Robin H. Johnson <robbat2@gentoo.org>
118 +gnupg-2.0.16-r2.ebuild, +files/gnupg-2.0.16-opengpgv2-sha2.patch:
119 Bug #339005: SHA2 support. Bug #285289: CONFIG_PROTECT for
120 /usr/share/gnupg/qualified.txt. Bug #301941: USE=openct/pcsc-lite without
121 USE=smartcard is useless. Bug #219423: USE=smartcard/openct/pcsc-lite and
122 USE=static are not permitted together.
123
124*gnupg-1.4.11 (19 Oct 2010)
125
126 19 Oct 2010; Robin H. Johnson <robbat2@gentoo.org> +gnupg-1.4.11.ebuild:
127 Version bump.
128
129 30 Sep 2010; Samuli Suominen <ssuominen@gentoo.org> gnupg-2.0.11.ebuild,
130 gnupg-2.0.12.ebuild, gnupg-2.0.13.ebuild, gnupg-2.0.14.ebuild,
131 gnupg-2.0.15.ebuild, gnupg-2.0.16.ebuild, gnupg-2.0.16-r1.ebuild:
132 Fix dependencies to accept app-crypt/pinentry-qt.
4 133
5 11 Sep 2010; Raúl Porcel <armin76@gentoo.org> gnupg-2.0.16-r1.ebuild: 134 11 Sep 2010; Raúl Porcel <armin76@gentoo.org> gnupg-2.0.16-r1.ebuild:
6 ia64/s390/sh/sparc stable wrt #329583 135 ia64/s390/sh/sparc stable wrt #329583
7 136
8 10 Sep 2010; Tobias Klausmann <klausman@gentoo.org> 137 10 Sep 2010; Tobias Klausmann <klausman@gentoo.org>

Legend:
Removed from v.1.390  
changed lines
  Added in v.1.418

  ViewVC Help
Powered by ViewVC 1.1.20